using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace __Swapping_Elephants
{

    class Elephant
    {
        public int EarSize;
        public String Name;
        public void WhoAmI()
        {
            MessageBox.Show("Moje uszy mają " + EarSize + " centymetrów szerokości.",
            Name + " mowi...");
        }

        public void TellMe(string message, Elephant whoSaidIt)
        {
            MessageBox.Show(whoSaidIt.Name + " mówi: " + message);
        }

        public void SpeakTo(Elephant talkTo, string message)
        {
            talkTo.TellMe(message, this);
        }
    }

}
